import IHttpClient from '../../types/http-client';
import Application from '../../types/input/application';
import { DeleteArgs, GetArgs, IPreferredRecordingsRepo, SaveArgs } from '../../types/repositories/preferred-recordings';
export default class PreferredRecordingsRepository implements IPreferredRecordingsRepo {
    private httpClient;
    private application;
    constructor(httpClient: IHttpClient, application: Application);
    save({ firstNameRecordingId, lastNameRecordingId, userContext, }: SaveArgs): Promise<any>;
    get({ userContext }: GetArgs): Promise<any>;
    delete({ firstNameRecordingId, lastNameRecordingId, userContext, }: DeleteArgs): Promise<unknown>;
}
